/*
    uart programmer for Cypress PSoC.
    transceive frames to and receive frames from the serial bootloader.
    Copyright (C) 2015  Michael Stickel (michael@cubic.org)

    This program is free software: you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation, either version 3 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program.  If not, see <http://www.gnu.org/licenses/>.
 */
#ifndef DEFINED_PSOC_PROGRAMMER_FRAMER
#define DEFINED_PSOC_PROGRAMMER_FRAMER

int psoc_uartbootloader_transceive (const int _cmd,
				    const unsigned char * _txbuf, const int _txsize,
				    unsigned char * _rxbuf, int * _rxsize);

int psoc_uartbootloader_open_port(const char * _deviceFilename);

#endif //  DEFINED_PSOC_PROGRAMMER_FRAMER
